package cn.net.cpzslibs.prot.handset.bean.req;

import java.util.List;

public class Prot20056ReqBean {
	/*“product_id”:”12345678”,
	“produce_date”:”2016-12-24”,
	“produce_batch”:”1223434”,
       “batch_number”:”xxxxx”,
     “type”:1
       “single”:[“123445”,“12345633”],
       “batcher”:{“start”:”122344”, “end”:”122345”}*/

	
	
	private String product_id ;
	private String produce_date ;
	private String produce_batch;
	private String batch_number;
	
	private int type;
	private List<String> single;
	private Prot20002ReqBatchBean batcher;
	
	public String getProduct_id() {
		return product_id;
	}
	public void setProduct_id(String product_id) {
		this.product_id = product_id;
	}
	public String getProduce_date() {
		return produce_date;
	}
	public void setProduce_date(String produce_date) {
		this.produce_date = produce_date;
	}
	public String getProduce_batch() {
		return produce_batch;
	}
	public void setProduce_batch(String produce_batch) {
		this.produce_batch = produce_batch;
	}
	public int getType() {
		return type;
	}
	public void setType(int type) {
		this.type = type;
	}
	public List<String> getSingle() {
		return single;
	}
	public void setSingle(List<String> single) {
		this.single = single;
	}
	public Prot20002ReqBatchBean getBatcher() {
		return batcher;
	}
	public void setBatcher(Prot20002ReqBatchBean batcher) {
		this.batcher = batcher;
	}
	public String getBatch_number() {
		return batch_number;
	}
	public void setBatch_number(String batch_number) {
		this.batch_number = batch_number;
	}
	@Override
	public String toString() {
		return "Prot20056ReqBean [product_id=" + product_id + ", produce_date="
				+ produce_date + ", produce_batch=" + produce_batch
				+ ", batch_number=" + batch_number + ", type=" + type
				+ ", single=" + single + ", batcher=" + batcher + "]";
	}
	
	
	
	
	

}
